Loading...
Searching...
No Matches
partition_types.h File Reference
`#include <unordered_map>`
`#include <string>`
Include dependency graph for partition_types.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | gridfire
namespace | gridfire::partition

## Enumerations

enum | gridfire::partition::BasePartitionType { gridfire::partition::RauscherThielemann , gridfire::partition::GroundState }
| Enumerates available partition function implementations. More...

## Variables

std::unordered_map< BasePartitionType, std::string > | gridfire::partition::basePartitionTypeToString
| Mapping from BasePartitionType enum to human-readable string.
std::unordered_map< std::string, BasePartitionType > | gridfire::partition::stringToBasePartitionType
| Mapping from string to BasePartitionType enum.